When trying to compile xmonad latest darcs under ghc 6.8.2dfsg1-1ubuntu1 (jaunty default) I got the following error:<br><br>XMonad/Layout/SubLayouts.hs:309:16:<br>¬†Illegal signature in pattern: LayoutMessages<br>¬†Use -XPatternSignatures to permit it<br>
<br>Apparently people using 6.10 do not get this error, which went away when I added PatternSignatures to the LANGUAGE pragmas of the modules as suggested in IRC.<br><br>Just a heads up, I&#39;m not sure what, if anything, should be done here ...<br>